
var Aloha = window.Aloha || ( window.Aloha = {} );

Aloha.settings = {
	logLevels: {'error': true, 'warn': true, 'info': true, 'debug': false},
	errorhandling : false,
	ribbon: false,
	locale: alohaOptions.lang,
	"i18n": {
		"current": alohaOptions.lang
	},
	repositories: {
		linklist: {
			data: [
				{ name: '', url:'', type:'website', weight: 0.50 }
			]
		}
	},
	"plugins": {
		"format": {
			// all elements with no specific configuration get this configuration
			config : [ 'b', 'i','sub','sup'],
				editables : {
				'*'	: [ 'b', 'i', 'p', 'title', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'pre', 'removeFormat']
				}
		},
		"list": {
			// all elements with no specific configuration get an UL, just for fun :)
			config : [ 'ul' ],
				editables : {
				'*'	: [ 'ul' ]
				}
		},
		"link": {
			// all elements with no specific configuration may insert links
			config : [ 'a' ],
				editables : {
				// No links in the title.
				'*'	: [  ]
				},
				// all links that match the targetregex will get set the target
			// e.g. ^(?!.*aloha-editor.com).* matches all href except aloha-editor.com
				targetregex : '^(?!.*aloha-editor.com).*',
				// this target is set when either targetregex matches or not set
				// e.g. _blank opens all links in new window
				target : '_blank',
				// the same for css class as for target
				cssclassregex : '^(?!.*aloha-editor.com).*',
				cssclass : 'aloha',
				// use all resources of type website for autosuggest
				objectTypeFilter: ['website'],
				// handle change of href
				onHrefChange: function( obj, href, item ) {
					if ( item ) {
						jQuery(obj).attr('data-name', item.name);
					}
				}
		},
		"table": {
			// all elements with no specific configuration are not allowed to insert tables
			config : [ ],
				editables : {
				// Allow insert tables only into .article
				'*'	: [ 'table' ]
				},
				// [{name:'green', text:'Green', tooltip:'Green is cool', iconClass:'GENTICS_table GENTICS_button_green', cssClass:'green'}]
			tableConfig : [
								{name:'hor-minimalist-a'},
								{name:'box-table-a'},
								{name:'hor-zebra'},
				],
				columnConfig : [
								{name:'bigbold', iconClass:'GENTICS_button_col_bigbold'},
								{name:'redwhite', iconClass:'GENTICS_button_col_redwhite'}
				],
			rowConfig : [
							{name:'bigbold', iconClass:'GENTICS_button_row_bigbold'},
							{name:'redwhite', iconClass:'GENTICS_button_row_redwhite'}
				]

		},
		"image": {
			config : { 'img': { 'max_width': '50px',
					'max_height': '50px' }},
			editables : {
				'*'	: {}
			}
		}
		,"action": {
			config: {}, editables: {}
		}
		
	}
};
