
/*

Andchir

http://www.simpledream.ru/

*/

define([
	'aloha',
	'aloha/jquery',
	'aloha/plugin',
	'i18n!action/nls/i18n',
	'i18n!aloha/nls/i18n',
	'css!action/css/action'
	],
function(Aloha, jQuery, Plugin, i18n, i18nCore) {
	"use strict";
	
	//Формируем удобный массив данных полей для редактирования
	var aloha_elements = [[],[]];
	for(var key in jQuery.extend(alohaOptions.content,alohaOptions.tv)){
		aloha_elements[0].push(key);
		var el_id = jQuery(alohaOptions.content[key]).first().attr('id');
		if(el_id){
			var el_id = el_id;
		}else{
			var el_id = Ext.id();
			jQuery(alohaOptions.content[key]).first().attr('id',el_id);
		}
		aloha_elements[1].push('#'+el_id);
	}
	
	return Plugin.create( 'action', {
	    init: function() {
		
		Aloha.Sidebar.right.addPanel({
			id       : 'aloha-devtool-action-panel',
			expanded : true,
			//activeOn : true,
			isActive: true,
			title  : i18n.t('panel.action.title'),
			button : "",
			panel  : {},
			content  : '<div id="aloha-devtool-action-container"><div id="aloha-devtool-action-buttons"></div></div>',
			onInit   : function () {
				
				setTimeout(function(){
					
					new Ext.Container({
						title: '',
						titleCollapse: true,
						border: false,
						padding: 5,
						layout: 'column',
						renderTo: 'aloha-devtool-action-buttons',
						items: [{
								//Включить / выключить редактор
								xtype: 'button',
								id: 'aloha-devtool-action-activebutton',
								text: i18n.t('button.action.activealoha'),
								style: 'margin:5px;',
								iconCls: 'aloha_editor_on',
								handler: function(){
									
									if(Aloha.editables.length==0){
										
										//Загружает непросчитанные значения полей и TV
										if(aloha_elements[0].length>0){
											Ext.Ajax.request({
												url: alohaOptions.base_url+'assets/components/aloha/connector.php'
												,params: {'action':'get_content','id':alohaOptions.resource_id,'data':aloha_elements[0].join(','),'HTTP_MODAUTH':alohaOptions.auth}
												,method: 'POST'
												,success: function(response, options){
													var resource = Ext.util.JSON.decode(response.responseText);
													//console.log(response);
													if(resource.success){
														if(typeof(resource.object) == "object"){
															jQuery.each(resource.object,function(key,val){
																var field_index = jQuery.inArray(key,aloha_elements[0]);
																if(field_index>-1){
																	jQuery(aloha_elements[1][field_index]).html(val);
																}
															});
															
															jQuery(aloha_elements[1].join(','))
															.contentEditable(true)
															.aloha();
															if(Aloha.editables.length>0){
																Ext.getCmp('aloha-devtool-action-activebutton').setText(i18n.t('button.action.offaloha'));
																Ext.getCmp('aloha-devtool-action-activebutton').setIconClass('aloha_editor_off');
																Ext.getCmp('aloha-devtool-action-savebutton').show();//setDisabled(false);
															}else{
																Ext.Msg.alert(i18n.t('msg.action.message'), i18n.t('msg.action.no_editables'));
															}
														}
													}
												}
												,failure: function(frm,a) {
												    
												}
											});
										}else{
											Ext.Msg.alert(i18n.t('msg.action.message'), i18n.t('msg.action.no_editables'));
										}
										
									}else{
										jQuery(aloha_elements[1].join(','))
										.mahalo();
										Aloha.editables = [];
										//.contentEditable(false);
										this.setText(i18n.t('button.action.activealoha'));
										this.setIconClass('aloha_editor_on');
										Ext.getCmp('aloha-devtool-action-savebutton').hide();//.setDisabled(true);
									}
								}
							},{
								//Сохранить
								xtype: 'button',
								id: 'aloha-devtool-action-savebutton',
								text: i18n.t('button.action.save'),
								style: 'margin:5px;',
								iconCls: 'aloha_editor_save',
								//hidden: true,
								handler: function(){
									if(Aloha.editables.length>0){
										
										Ext.MessageBox.show({
											title: i18n.t('panel.action.save'),
											msg: i18n.t('panel.action.clearcache_confirm'),
											buttons: Ext.MessageBox.YESNOCANCEL,
											buttonText: {ok: "OK", cancel: i18nCore.t('cancel'), yes: i18nCore.t('yes'), no: i18nCore.t('no')},
											fn: function(btn){
												
												var syncsite = true;
												if(btn=='no'){
													syncsite = false;
												}else if(btn=='cancel'){
													return false;
												}
												
												var resource_data = {'action':'update', 'syncsite':syncsite, 'id':alohaOptions.resource_id, 'parent':alohaOptions.parent, 'context_key':alohaOptions.context_key, 'HTTP_MODAUTH':alohaOptions.auth, 'tvs': (!jQuery.isEmptyObject(alohaOptions.tv) ? 1 : 0)};
												jQuery.each(Aloha.editables,function (index, editable) {
													var field_index = jQuery.inArray('#'+editable.getId(),aloha_elements[1]);
													//console.log(editable.getId());
													if(field_index>-1){
														resource_data[aloha_elements[0][field_index]] = editable.getContents();
													}
												});
												
												//console.log(resource_data);
												
												Ext.Ajax.request({
													url: alohaOptions.base_url+'assets/components/aloha/connector.php'
													,params: resource_data
													,method: 'POST'
													,success: function(response, options){
														var resource = Ext.util.JSON.decode(response.responseText);
														if(resource.success){
															//if(syncsite)
															window.location.href = resource.object.preview_url;
														}
													}
													,failure: function(frm,a) {
													    
													}
												});
												
												return true;
											},
											icon: Ext.MessageBox.QUESTION
										});
									}
								}
						}]
					});
					
					Ext.getCmp('aloha-devtool-action-savebutton').hide();
					
					//Aloha.Sidebar.right.open();
					
					Aloha.jQuery('div.aloha-sidebar-panel-content,div.aloha-sidebar-panel-content-inner','#aloha-devtool-action-panel')
					.css({height:'auto'});
					
				},1000);
				
			}
			
		});
		
	    }
	});
	
});