<?php
/*

Aloha Editor plugin for MODX Revolution

http://www.aloha-editor.org/
http://www.simpledream.ru/

Andchir

OnWebPagePrerender

*/

$lang = $modx->getOption('lang',$scriptProperties,$modx->config['manager_language']);
$usergroups = $modx->getOption('usergroups',$scriptProperties,'');
$content_fields = $modx->getOption('content_fields',$scriptProperties,'{}');
$tv_fields = $modx->getOption('tv_fields',$scriptProperties,'{}');
if(!$content_fields) $content_fields = '{}';
if(!$tv_fields) $tv_fields = '{}';

$resource = $modx->resource;//$modx->getObject('modResource',$modx->resourceIdentifier);

$isEditor = false;

if($modx->user->get('id') && $modx->user->hasSessionContext('mgr')){
    
    //Проверка прав доступа
    if ($modx->hasPermission('save_document') && $resource->checkPolicy('save')) {
        
        //Если нужно проверяем входит ли пользователь в группы
        $isEditor = $usergroups ? $modx->user->isMember(explode(',',str_replace(', ',',',$usergroups))) : true;
        
    }
    
}

if($isEditor){
    
    $modAuth = $modx->user->getUserToken('mgr');
    
    $scriptHtml = '
    <script type="text/javascript">
    var alohaOptions = {
        "lang": "'.$lang.'",
        "base_url": "'.$modx->getOption('base_url').'",
        "auth": "'.$modAuth.'",
        "context_key": "'.$modx->context->get('key').'",
        "parent": '.$resource->get('parent').',
        "resource_id": '.$resource->get('id').',
        "content": '.$content_fields.',
        "tv": '.$tv_fields.'
    };
    </script>
    <link href="'.MODX_ASSETS_URL.'components/aloha/css/aloha.css" rel="stylesheet" type="text/css" />
    <script src="'.MODX_ASSETS_URL.'components/aloha/aloha-config.js" type="text/javascript"></script>
    <script src="'.MODX_ASSETS_URL.'components/aloha/lib/aloha.js" type="text/javascript" data-aloha-plugins="common/format,common/highlighteditables,common/list,common/link,common/undo,common/paste,common/image,common/block,common/table,common/characterpicker,extra/colorselector,extra/action"></script>
    ';
    
    //не кэшируется    
    $modx->resource->_output= preg_replace("/(<\/body>)/i", $scriptHtml . "\n\\1", $modx->resource->_output);
    
    //$modx->regClientStartupHTMLBlock($scriptHtml);
    
}