<?php

/**
 * Get dataof fields and TV of resource (modified for Aloha Editor).
 *
 * @package aloha
 */

if(!$modx->user->get('id') || !$modx->user->hasSessionContext('mgr')){
    return $modx->error->failure($modx->lexicon('access_denied'));
}

$modx->lexicon->load('resource');

/* get resource */
if (empty($scriptProperties['id'])) return $modx->error->failure($modx->lexicon('resource_err_ns'));
$resource = $modx->getObject('modResource',$scriptProperties['id']);
if (empty($resource)) return $modx->error->failure($modx->lexicon('resource_err_nfs',array('id' => $scriptProperties['id'])));

/* Проверка прав доступа */
if (!$modx->hasPermission('save_document') || !$resource->checkPolicy('save')) {
    return $modx->error->failure($modx->lexicon('access_denied'));
}

$returnArray = array();

$fields = $modx->getOption('data',$scriptProperties,'');
$fields_arr = explode(',',$fields);

foreach($fields_arr as $key => $field_name){
    
    //Значения TV
    if(substr($field_name,0,2)=='tv' && is_numeric(substr($field_name,2))){
        $tvc = $modx->getObject('modTemplateVarResource',array(
            'tmplvarid' => substr($field_name,2),
            'contentid' => $resource->get('id')
        ));
        $field_value = $tvc ? $tvc->get('value') : '';
    //Значения полей ресурса
    }else{
        $field_value = $resource->get($field_name) ? $resource->get($field_name) : '';
    }
    
    $returnArray[$field_name] = $field_value;
    
}

return $modx->error->success('',$returnArray);

?>